Bug 247039 - Initscript Review
Initscript Review
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: qpidc (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Alan Conway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InitscriptStatus
  Show dependency treegraph
 
Reported: 2007-07-05 09:57 EDT by Harald Hoyer
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-31 08:05:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2007-07-05 09:57:40 EDT
Please have a look at the wikipage 
http://fedoraproject.org/wiki/FCNewInit/Initscripts
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.
Comment 1 Alan Conway 2007-08-31 08:05:48 EDT
Completed by Jim Meyering

------------------------------------------------------------------------
r554659 | meyering | 2007-07-09 16:26:42 +0200 (Mon, 09 Jul 2007) | 11 lines

        Update for Fedora init-scripts guidelines:
        <http://fedoraproject.org/wiki/FCNewInit/Initscripts>
        * etc/qpidd: Provide an LSB header.
        Allow options to be specified via QPIDD_OPTIONS=...
          in /etc/sysconfig/qpidd.
        Diagnose and 'exit 3' for the unsupported "reload".
        Don't mention unused $pidfile.
        Remove useless curly braces: ${lockfile} -> $lockfile.
        Write usage and error diagnostics to stderr, not stdout.
        Change spelling: condrestart -> try-restart.

Note You need to log in before you can comment on or make changes to this bug.